import Request from '../common/request.js';
let request = new Request().http
//任务列表信息查询
export function list(data) {
 	 return request('/task/info/list',data,'GET');
} 
//任务信息查询
export function getTaskFinishAuditInfo(data) {
 	 return request('/task/info/getTaskFinishAuditInfo',data,'GET');
} 
//删除任务
export function deleted(data){
 	 return request(`/task/info/${data}`,data,'DELETE');
} 
//查询指定公司下的项目设置列表
export function company(data) {
 	 return request(`/project/settings/company/${data}`,data,'GET');
} 
 
 //添加任务信息
export function addInfo(data) {
	 return request('/task/info',data,'POST','application/json;charset=UTF-8');
} 
 // 任务完成统计
export function getTaskCompleteStats(data) {
	 return request('/task/info/getTaskCompleteStats',data,'POST','application/json;charset=UTF-8');
}
 // 任务创建统计
export function getTaskCreateStats(data) {
	 return request('/task/info/getTaskCreateStats',data,'POST','application/json;charset=UTF-8');
}

 //获取项目所有数据
export function getAllData(data) {
 	 return request('/project/project/getAllData',data,'GET');
} 

 //获取公司所有产品
export function queryAllProduct(data) {
 	 return request('/company/product/queryAllProduct',data,'GET');
} 

 //获取任务类型
export function queryAllData(data) {
 	 return request('/project/type/queryAllData',data,'GET','application/json;charset=UTF-8');
} 

 //审核列表
export function auditList(data) {
 	 return request('/task/info/list',data,'GET','application/json;charset=UTF-8');
} 
 //审核列表修改
export function editAudit(data) {
 	 return request('/task/info/edit',data,'POST','application/json;charset=UTF-8');
} 

//任务查询
export function info(id) {
 	 return request(`/task/info/${id}`,null,'GET','application/json;charset=UTF-8');
} 

//任务列表 复制创建
export function copy(id) {
 	 return request(`/task/info/copy/${id}`,null,'POST','application/json;charset=UTF-8');
} 

//公司下的用户列表
export function companyUserList(data) {
 	 return request('/company/companyUser/list',data,'GET','application/json;charset=UTF-8');
} 
